function getLangUrl() {
    var langUrl
    var lang = $('#lang_abre').val()

    if (lang == 'es') {
        langUrl = getDomain() + 'resources/Spanish.json'
    } else if (lang == 'en') {
        langUrl = getDomain() + 'resources/English.json'
    } else if (lang == 'pt') {
        langUrl = getDomain() + 'resources/Portuguese.json'
    }

    return langUrl
}

function getLang() {
    var lang = $('#lang_abre').val()
    if(lang != ''){
        if (lang == 'es')
            return lang_es;
        else if (lang == 'en')
            return lang_en;
        else if (lang == 'pt')
            return lang_pt;
        else return lang_es;
    }
    else{
        var lang = $('#select-idioma').val()
        if (lang == 'spanish')
            return lang_es;
        else if (lang == 'english')
            return lang_en;
        else if (lang == 'portuguese')
            return lang_pt;
        else return lang_es;
    }
    
}

/**
 * getDomain
 * @returns Cadena con el dominio{String}
 */
function getDomain() {
    var url = document.URL
    var domain = "";
    var num = 3;
    var origin = window.location.origin;
    if (origin.indexOf('localhost') > 0) {
        // if (origin.indexOf('localhost') > 0 || origin.indexOf('/portal/')) {
        num = 4;
    }
    var urlArray = url.split('/');
    for (var i = 0; i < num; i++) {
        domain += urlArray[i] + '/';
    }
    return domain;
}
